#!/bin/sh
########################################
###### Powered by SoftCam.Tv Team ######
###      http://www.SoftCam.Tv       ###
########################################

CAMD_ID=9500
CAMD_NAME="Btkcam_057b4 SoftCam.Tv"
CAMD_BIN=btkcam_mips

INFOFILE_A=ecm0.info
INFOFILE_B=ecm1.info
INFOFILE_C=ecm2.info
INFOFILE_D=ecm3.info
#Expert window
INFOFILE_LINES=1111111111000000
#Zapp after start
REZAPP=1

########################################

logger $0 $1
echo $0 $1

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp*
}

case "$1" in
  start)
  remove_tmp
  /usr/bin/$CAMD_BIN &
  ;;
  stop)
  killall -9 $CAMD_BIN 2>/dev/null
  sleep 2
  remove_tmp
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
